Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Interface AbleDataContext

All Known Implementing Classes:
  AbleRuleSet

public interface AbleDataContext

This interface defines the behavior of a data Context provider which is used by all Variables in the data package. A data Context is backed by a BitSet which is used to track and map variables by using their unique variable identifier. When the value of a Variable is changed, it uses the data context to set the bit associated with that Variable in the context BitSet.

This is used by the AbleRuleSet bean to track which variables are set during inferencing.

Method Summary
`java.lang.ClassLoader` | `getClassLoader()` Retrieve the classloader for this context.
`int` | `getCorrelationMethod()` Retrieve the current correlation method.
`java.util.BitSet` | `getCurrentFactBase()` Retrieve the current fact base.
`int` | `getDefuzzifyMethod()` Retrieve the current defuzzification method.
`int` | `getFuzzyInferenceMethod()` Retrieve the current fuzzy inference method.
`AbleLogger` | `getInferTraceLogger()` Retrieve the inferencing tracer logger.
`java.util.BitSet` | `getInitialFactBase()` Retrieve the initial fact base.
`java.lang.Class` | `getInnerClass(java.lang.String theClassName)` Retrieve an inner class given its name
`java.util.ResourceBundle` | `getResourceBundle()` Retrieve the resource bundle for use with variable prompts.
`AbleRd` | `parseExpressionFromARL(java.lang.String theArlSource)` Turn a String into an AbleExpression object
`void` | `setCurrentFactBase(java.util.BitSet theFactBase)` Set the current fact base, the set of bound variables.
`void` | `updateCurrentFactBase(int theVarId)` Update the current fact base by setting the bit representing a newly bound variable.

Method Detail

### getInitialFactBase

    public java.util.BitSet getInitialFactBase()

  Retrieve the initial fact base.

  Returns:
    The initial set of bound variables

### getCurrentFactBase

    public java.util.BitSet getCurrentFactBase()

  Retrieve the current fact base.

  Returns:
    The set of bound variables.

### setCurrentFactBase

    public void setCurrentFactBase(java.util.BitSet theFactBase)

  Set the current fact base, the set of bound variables.

### updateCurrentFactBase

    public void updateCurrentFactBase(int theVarId)

  Update the current fact base by setting the bit representing a newly bound variable.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Retrieve the resource bundle for use with variable prompts. Note: this could be null.

### getInnerClass

    public java.lang.Class getInnerClass(java.lang.String theClassName)

  Retrieve an inner class given its name

### getInferTraceLogger

    public AbleLogger getInferTraceLogger()

  Retrieve the inferencing tracer logger.

  Returns:
    the inferencing trace logger.

### getCorrelationMethod

    public int getCorrelationMethod()

  Retrieve the current correlation method.

  Returns:
    The current correlation method.

### getDefuzzifyMethod

    public int getDefuzzifyMethod()

  Retrieve the current defuzzification method.

  Returns:
    The current defuzzification method.

### getFuzzyInferenceMethod

    public int getFuzzyInferenceMethod()

  Retrieve the current fuzzy inference method.

  Returns:
    The current fuzzy inference method.

### parseExpressionFromARL

    public AbleRd parseExpressionFromARL(java.lang.String theArlSource)
                                  throws AbleException

  Turn a String into an AbleExpression object

  Throws:
    `AbleException`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Retrieve the classloader for this context.

  Returns:
    The context classloader used.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005